Bug 1478435 - <Choose> found as option in drop down service dialogs
Summary: <Choose> found as option in drop down service dialogs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: dialog
Depends On: 1462375
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 14:31 UTC by Satoe Imaishi
Modified: 2017-10-24 00:17 UTC (History)
8 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1462375
Environment:
Last Closed: 2017-10-24 00:17:32 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 14:36:07 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/f038283ea05e9f3eeea294433a7f0b94507f3499

commit f038283ea05e9f3eeea294433a7f0b94507f3499
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jul 3 13:57:08 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 10:31:47 2017 -0400

    Merge pull request #15456 from eclarizio/BZ1462375
    
    Fix for <Choose> found as option in drop down service dialogs
    (cherry picked from commit 0cbb33deb054ac05f7107677323e9d0bbee008c0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478435

 app/models/dialog_field_radio_button.rb      |  2 +-
 app/models/dialog_field_sorted_item.rb       | 23 ++++++--
 spec/models/dialog_field_sorted_item_spec.rb | 81 ++++++++++++++++++----------
 3 files changed, 73 insertions(+), 33 deletions(-)

Comment 3 Shveta 2017-08-29 18:36:17 UTC
FIxed .
Verified in 5.8.2.0.20170824192913_b09a5f8

Comment 5 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.